export = getUser;
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/**
 * ==============================================================================
 * Main Function
 * ==============================================================================
 * @async
 *
 * @param {object} params - Single Param object containing params
 * @param {String} params.key - API Key
 * @param {String} params.database - Target Database
 * @param {number} params.userId - user to get
 * @param {string[]} [params.fields] - fields to select
 * @param {boolean} [params.apiUserId] - API User ID
 * @param {boolean} [params.useLocal] - Whether to use a remote database instead of API
 *
 * @returns { Promise<import("../package-shared/types").GetUserFunctionReturn>}
 */
declare function getUser({ key, userId, database, fields, apiUserId, useLocal }: {
    key: string;
    database: string;
    userId: number;
    fields?: string[];
    apiUserId?: boolean;
    useLocal?: boolean;
}): Promise<import("../package-shared/types").GetUserFunctionReturn>;
